Retrieves a node specified by name

- « DOMNamedNodeMap::getIterator

- DOMNamedNodeMap::getNamedItemNS »

- PHP Manual
- DOMNamedNodeMap
- Retrieves a node specified by name

# DOMNamedNodeMap::getNamedItem

(PHP 5, PHP 7, PHP 8)

DOMNamedNodeMap::getNamedItem — Retrieves a node specified by name

### Description

public DOMNamedNodeMap::getNamedItem(string `$qualifiedName`): ?DOMNode

Retrieves a node specified by its `nodeName`.

### Parameters

`qualifiedName`

  The `nodeName` of the node to retrieve.

### Return Values

A node (of any type) with the specified `nodeName`, or `null` if no node is found.

### Examples

Example #1 Getting an attribute on a node

    <?php

    $doc = new DOMDocument;
    $doc->load('book.xml');

    $id = $doc->firstChild->attributes->getNamedItem('id');

    ?>

Example #2 Accessing attribute with array syntax

    <?php

    $id = $doc->firstChild->attributes['id'];

    ?>

### See Also

- DOMNamedNodeMap::getNamedItemNS() - Retrieves a node specified by local name and namespace URI